package cn.gygxzc.envir

import cn.gygxzc.cloud.tina.fastdfs.client.EnableFastDFSClient
import org.mybatis.spring.annotation.MapperScan
import org.springframework.boot.SpringApplication
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration
import org.springframework.boot.builder.SpringApplicationBuilder
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer
import org.springframework.cloud.client.discovery.EnableDiscoveryClient
import org.springframework.cloud.openfeign.EnableFeignClients
import org.springframework.scheduling.annotation.EnableAsync

/**
 * 注解配置
 */
@EnableAsync
@EnableFeignClients
@EnableFastDFSClient
@EnableDiscoveryClient
@SpringBootApplication(scanBasePackages = ["cn.gygxzc.envir", "com.gxzc"], exclude = [RedisAutoConfiguration::class])
@MapperScan(basePackages = ["cn.gygxzc.**.dao", "cn.gygxzc.**.mapper"])
class MainApplication : SpringBootServletInitializer() {


    override fun configure(builder: SpringApplicationBuilder?): SpringApplicationBuilder? {
        return builder?.sources(MainApplication::class.java)
    }
}

fun main(args: Array<String>) {
    SpringApplication.run(MainApplication::class.java, *args)
}